## brisa-apps 0.1.1

=== media-center/src/view/edje/themes/default/Makefile ===
all:
	edje_cc default.edc -fd data/fonts -id data/images

=== debian/changelog ===
brisa-apps (0.1.1) unstable; urgency=low

  * New release for the BRisa project applications

 -- Andre Dieb Martins <dieb@embedded.ufcg.edu.br>  Mon, 11 May 2009 22:31:20 -0300

brisa-apps (0.1.0) unstable; urgency=low

  * Virtual debian package for all BRisa project apps

 -- Andre Dieb Martins <dieb@embedded.ufcg.edu.br>  Mon, 16 Feb 2009 15:31:00 -0300

=== media-server-plugins/debian/changelog ===
brisa-media-server-plugins (0.1.1) unstable; urgency=low

  * New release, removed maemo multimedia (deprecated)

 -- Andre Dieb Martins <dieb@embedded.ufcg.edu.br>  Mon, 16 Mar 2009 04:08:00 -0300

brisa-media-server-plugins (0.1.0) unstable; urgency=low

  * Youtube, Flickr, Shoutcast plugins refactored

 -- Andre Dieb Martins <dieb@embedded.ufcg.edu.br>  Wed, 14 Jan 2009 16:17:00 -0300

=== media-tools/debian/changelog ===
brisa-media-tools (0.1.1) unstable; urgency=low

  * New release

 -- Andre Dieb Martins <dieb@embedded.ufcg.edu.br>  Mon, 16 Mar 2009 04:02:00 -0300

brisa-media-tools (0.1.0) unstable; urgency=low

  * Initial release

 -- Andre Dieb Martins <dieb@embedded.ufcg.edu.br>  Wed, 22 Jan 2009 14:40:00 -0300

=== debian/control ===
Source: brisa-media-tools
Section: multimedia
Priority: optional
Maintainer: Andre Dieb Martins <dieb@embedded.ufcg.edu.br>
Build-Depends: debhelper (>= 5.0.38), python2.5-dev | python2.6-dev, python-setuptools | python2.5-setuptools | python2.6-setuptools,
Standards-Version: 3.6.1

Package: python2.5-brisa-media-tools
Section: user/multimedia
Architecture: all
Depends: python2.5-brisa, python2.5-brisa-media-server, python2.5-brisa-media-renderer,
Provides: ${python:Provides}
Description: BRisa Media Tools is a package that contains tools for BRisa Media Server and
    BRisa Media Renderer. For example, brisa-media-apps-control is a tool included
    on the package and allows controlling BRisa Media Server and BRisa Media
    Renderer devices from a graphical interface.

Package: python2.6-brisa-media-tools
Section: user/multimedia
Architecture: all
Depends: python2.6-brisa, python2.6-brisa-media-server, python2.6-brisa-media-renderer,
Provides: ${python:Provides}
Description: BRisa Media Tools is a package that contains tools for BRisa Media Server and
    BRisa Media Renderer. For example, brisa-media-apps-control is a tool included
    on the package and allows controlling BRisa Media Server and BRisa Media
    Renderer devices from a graphical interface.

=== media-server/debian/control ===
Source: brisa-media-server
Section: multimedia
Priority: optional
Maintainer: Andre Dieb Martins <dieb@embedded.ufcg.edu.br>
Build-Depends: debhelper (>= 5.0.38), python2.5-dev | python2.5-setuptools
Standards-Version: 3.6.1

Package: python2.5-brisa-media-server
Section: user/multimedia
Architecture: all
Depends: python2.5-brisa, liblightmediascanner0, liblightmediascanner-dev, lightmediascanner-plugin-all, python2.5-lightmediascanner | python-lightmediascanner, python-gobject
Provides: ${python:Provides}
Description: BRisa UPnP Media Server Device 1.0
   An UPnP A/V media server device implemented using python-brisa UPnP framework.

=== media-tools/debian/control ===
Source: brisa-media-tools
Section: multimedia
Priority: optional
Maintainer: Andre Dieb Martins <dieb@embedded.ufcg.edu.br>
Build-Depends: debhelper (>= 5.0.38), python2.5-dev | python2.5-setuptools
Standards-Version: 3.6.1

Package: python2.5-brisa-media-tools
Section: user/multimedia
Architecture: all
Depends: python2.5-brisa, python2.5-brisa-media-server, python2.5-brisa-media-renderer,
Provides: ${python:Provides}
Description: BRisa Media Tools is a package that contains tools for BRisa Media Server and
    BRisa Media Renderer. For example, brisa-media-apps-control is a tool included
    on the package and allows controlling BRisa Media Server and BRisa Media
    Renderer devices from a graphical interface.

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYVER1=2.6
PYTHON=python$(PYVER)
PYTHON1=python$(PYVER1)

p_base=$(PYTHON)-brisa
p_base26=$(PYTHON1)-brisa
d_base=debian/tmp
package=brisa_media_server

build: build-stamp

build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(PYTHON) setup.py clean
	-rm -f build-stamp
	-rm -rf build
	-rm -f *.py[co]
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(PYTHON) setup.py install --root=$(d_base)

	# python2.5-brisa-media-server-plugin-flickr
	mkdir -p debian/$(p_base)-media-server-plugin-flickr/usr/lib/$(PYTHON)/site-packages/$(package)/plugins
	mv debian/tmp/usr/lib/$(PYTHON)/site-packages/$(package)/plugins/flickr debian/$(p_base)-media-server-plugin-flickr/usr/lib/$(PYTHON)/site-packages/$(package)/plugins

	# python2.5-brisa-media-server-plugin-shoutcast
	mkdir -p debian/$(p_base)-media-server-plugin-shoutcast/usr/lib/$(PYTHON)/site-packages/$(package)/plugins
	mv debian/tmp/usr/lib/$(PYTHON)/site-packages/$(package)/plugins/shoutcast debian/$(p_base)-media-server-plugin-shoutcast/usr/lib/$(PYTHON)/site-packages/$(package)/plugins

	# python2.5-brisa-media-server-plugin-youtube
	mkdir -p debian/$(p_base)-media-server-plugin-youtube/usr/lib/$(PYTHON)/site-packages/$(package)/plugins
	mv debian/tmp/usr/lib/$(PYTHON)/site-packages/$(package)/plugins/youtube debian/$(p_base)-media-server-plugin-youtube/usr/lib/$(PYTHON)/site-packages/$(package)/plugins

	$(PYTHON1) setup.py install --root=$(d_base)

	# python2.6-brisa-media-server-plugin-flickr
	mkdir -p debian/$(p_base26)-media-server-plugin-flickr/usr/local/lib/$(PYTHON1)/dist-packages/$(package)/plugins
	mv debian/tmp/usr/local/lib/$(PYTHON1)/dist-packages/$(package)/plugins/flickr debian/$(p_base26)-media-server-plugin-flickr/usr/local/lib/$(PYTHON1)/dist-packages/$(package)/plugins

	# python2.6-brisa-media-server-plugin-shoutcast
	mkdir -p debian/$(p_base26)-media-server-plugin-shoutcast/usr/local/lib/$(PYTHON1)/dist-packages/$(package)/plugins
	mv debian/tmp/usr/local/lib/$(PYTHON1)/dist-packages/$(package)/plugins/shoutcast debian/$(p_base26)-media-server-plugin-shoutcast/usr/local/lib/$(PYTHON1)/dist-packages/$(package)/plugins

	# python2.6-brisa-media-server-plugin-youtube
	mkdir -p debian/$(p_base26)-media-server-plugin-youtube/usr/local/lib/$(PYTHON1)/dist-packages/$(package)/plugins
	mv debian/tmp/usr/local/lib/$(PYTHON1)/dist-packages/$(package)/plugins/youtube debian/$(p_base26)-media-server-plugin-youtube/usr/local/lib/$(PYTHON1)/dist-packages/$(package)/plugins

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build install clean binary binary-indep binary-arch

=== media-server-plugins/debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYTHON=python$(PYVER)

p_base=$(PYTHON)-brisa
d_base=debian/tmp
package=brisa_media_server

build: build-stamp

build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(PYTHON) setup.py clean
	-rm -f build-stamp
	-rm -rf build
	-rm -f *.py[co]
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(PYTHON) setup.py install --root=$(d_base)

	# python2.5-brisa-media-server-plugin-flickr
	mkdir -p debian/$(p_base)-media-server-plugin-flickr/usr/lib/$(PYTHON)/site-packages/$(package)/plugins
	mv debian/tmp/usr/lib/$(PYTHON)/site-packages/$(package)/plugins/flickr debian/$(p_base)-media-server-plugin-flickr/usr/lib/$(PYTHON)/site-packages/$(package)/plugins

	# python2.5-brisa-media-server-plugin-shoutcast
	mkdir -p debian/$(p_base)-media-server-plugin-shoutcast/usr/lib/$(PYTHON)/site-packages/$(package)/plugins
	mv debian/tmp/usr/lib/$(PYTHON)/site-packages/$(package)/plugins/shoutcast debian/$(p_base)-media-server-plugin-shoutcast/usr/lib/$(PYTHON)/site-packages/$(package)/plugins

	# python2.5-brisa-media-server-plugin-youtube
	mkdir -p debian/$(p_base)-media-server-plugin-youtube/usr/lib/$(PYTHON)/site-packages/$(package)/plugins
	mv debian/tmp/usr/lib/$(PYTHON)/site-packages/$(package)/plugins/youtube debian/$(p_base)-media-server-plugin-youtube/usr/lib/$(PYTHON)/site-packages/$(package)/plugins

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build install clean binary binary-indep binary-arch

## brisa-apps 0.1.1maemo1

=== debian/changelog ===
brisa-apps (0.1.1maemo1) unstable; urgency=low

  * New release for the BRisa project applications

 -- Leandro Melo de Sales <leandroal@gmail.com>  Fri, 05 Jun 2009 00:44:00 -0300

  * New release for the BRisa project applications

 -- Andre Dieb Martins <dieb@embedded.ufcg.edu.br>  Mon, 11 May 2009 22:31:20 -0300

=== media-server/debian/changelog ===
brisa-media-server (0.1.1imaemo1) unstable; urgency=low

  * New release

 -- Leandro Melo de Sales <leandroal@gmail.com>  Fri, 05 Jun 2009 00:44:00 -0300

  * Added assistant for fast setup after install

 -- Andre Dieb Martins <dieb@embedded.ufcg.edu.br>  Mon, 28 Mar 2009 17:55:39 -0300

brisa-media-server (0.1.0) unstable; urgency=low

  * Added debian packaging

 -- Andre Dieb Martins <dieb@embedded.ufcg.edu.br>  Wed, 19 Nov 2008 04:23:15 -0300

=== debian/control ===
Source: brisa-apps
Section: user/multimedia
Priority: optional
Maintainer: Leandro Melo de Sales <leandroal@gmail.com>
Build-Depends: debhelper (>= 5.0.38)
Standards-Version: 3.6.1

Package: python2.5-brisa-apps
Section: user/multimedia
Architecture: all
Depends: python2.5-brisa-media-tools (>= 0.1.1), python2.5-brisa-media-renderer (>= 0.1.1), python2.5-brisa-media-server (>= 0.1.1), python2.5-brisa-media-server-plugin-flickr (>= 0.1.1), python2.5-brisa-media-server-plugin-shoutcast (>= 0.1.1), python2.5-brisa-media-server-plugin-youtube (>= 0.1.1)
Description: installs all BRisa applications

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYTHON=python$(PYVER)

p_base=$(PYTHON)-brisa-apps
d_base=debian/tmp
package=brisa-apps

build: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	-rm -rf build
	-rm -f *.py[co]
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build install clean binary binary-indep binary-arch

=== media-server/debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYTHON=python$(PYVER)

p_base=$(PYTHON)-brisa
d_base=debian/tmp
package=brisa_media_server

build: build-stamp

build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(PYTHON) setup.py clean
	-rm -f build-stamp
	-rm -rf build
	-rm -f *.py[co]
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(PYTHON) setup.py install --root=$(d_base)

	# bin
	mkdir -p debian/$(p_base)-media-server/usr/bin
	mv $(d_base)/usr/bin/* debian/$(p_base)-media-server/usr/bin

	# share
	mkdir -p debian/$(p_base)-media-server/usr/share
	mv $(d_base)/usr/share/* debian/$(p_base)-media-server/usr/share

	# libs
	mkdir -p debian/$(p_base)-media-server/usr/lib/$(PYTHON)/site-packages/$(package)
	mv $(d_base)/usr/lib/$(PYTHON)/site-packages/$(package)/* debian/$(p_base)-media-server/usr/lib/$(PYTHON)/site-packages/$(package)/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build install clean binary binary-indep binary-arch

=== media-tools/debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYTHON=python$(PYVER)
PYTHON1=python$(PYVER1)

p_base=$(PYTHON)-brisa
d_base=debian/tmp
package=brisa_media_tools

build: build-stamp

build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(PYTHON) setup.py clean
	-rm -f build-stamp
	-rm -rf build
	-rm -f *.py[co]
	dh_clean

install: build
	dh_testdir
	dh_testroot

	$(PYTHON) setup.py install --root=$(d_base)

	# Bin
	mkdir -p debian/$(p_base)-media-tools/usr/bin
	mv $(d_base)/usr/bin/* debian/$(p_base)-media-tools/usr/bin

	# Share
	mkdir -p debian/$(p_base)-media-tools/usr/share
	mv $(d_base)/usr/share/* debian/$(p_base)-media-tools/usr/share

	# Libs
	mkdir -p debian/$(p_base)-media-tools/usr/lib/$(PYTHON)/site-packages
	mv $(d_base)/usr/lib/$(PYTHON)/site-packages/$(package) debian/$(p_base)-media-tools/usr/lib/$(PYTHON)/site-packages

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build install clean binary binary-indep binary-arch
